On 06/03/2017 03:56 PM, Bo Grimes wrote:
On 06/03/2017 03:49 PM, Bo Grimes wrote:


I consider this issue resolved, so don't worry about it. I am just curious what libgtkspell0 is in relation to python-gtkspellcheck, if any, and why removing a lib I *just* installed would remove so many packages that pre-existed it.

I just realized. In all likelihood libgtkspell0 was already installed on my laptop. Just because I copied and pasted the apt command doesn't mean it would have installed it, duh. I didn't pay enough attention to the terminal because I was cooking supper, so it could have already been "at the latest version" for all I know.

Still curious as to the relationship between libgtkspell0 and python-gtkspellcheck, but it's not a Zim question, so I'll let it drop.

Thanks for all the time,

Sure. My wild guess for all the preceding package mess and dependency is: major version upgrades. Don't get me wrong, I *love* that Debian and derivatives allow and support major version upgrades, but there is a cost. Over time, package cruft and odd dependencies do seem to pile up and GUIs and GUI tools & libraries seem to make this far worse. Oh well, that's still much better than "DLL hell" or having to do clean installs every major version.

Later,
JP
--  -------------------------------------------------------------------
JP Vossen, CISSP | http://www.jpsdomain.org/ | http://bashcookbook.com/

_______________________________________________
Mailing list: https://launchpad.net/~zim-wiki
Post to     : zim-wiki@lists.launchpad.net
Unsubscribe : https://launchpad.net/~zim-wiki
More help   : https://help.launchpad.net/ListHelp

Reply via email to